Subject: RE: Storage model
From: [email-masked]
To: [email-masked], [email-masked]
Cc: [email-masked]
Date: Mon, 20 Aug 2001 15:03:43 -0700 (PDT)

Thanks Zimin:
I think we need to get together sometime tomorrow to go over the model in details. It will be much more productive if you guide me and Tom through the general approach and the related code sections.
Let me and Tom know when is best for you.
Paulo Issler  

 -----Original Message-----
From: 	Lu, Zimin  
Sent:	Monday, August 20, 2001 2:02 PM
To:	Halliburton, Tom; Issler, Paulo
Cc:	Kaminski, Vince J
Subject:	Storage model

Paulo and Tom,

I have created a directory SAM  in O:\research\common\projects\options where I saved the source
codes and spreadsheets for SAM models.

This model is developed by Vince, Stinson and myself. It was audited by Professor Duffie.
Any further development has to proplerly credit the original developer. 
Do not forget that when you are marketing it.

I want all the further development be contained in the above mentioned SAM directory.

Here are two further development issues:

1). Set constriants, say we have to full at the end of Oct., this can be done through introduction of penalty;
2). Back test the delta hedges suggested by the model. It may require a lot of time. 

Zimin

PS: Here are the two project structures:

SAM (Valuation only)

Framwrk.c
Framwrk.h
nrutil.c
nrutil.h
SAM.def
SAM_XLL1.c
storageVal_new2.c
XLCALL.H
EIGSRT_D.obj
GASDEV.obj
JACOBI_D.obj
RAN2.obj
timefunc.obj

SamDelta (Valuation and commodity deltas)

Framwrk.c
Framwrk.h
nrutil.c
nrutil.h
SamDelta.def
SamDelta_XLL2.c
storageVa_comdityDelta.c
XLCALL.H
EIGSRT_D.obj
GASDEV.obj
JACOBI_D.obj
RAN2.obj
timefunc.obj